object DataMain: TDataMain
  OldCreateOrder = False
  OnCreate = DataModuleCreate
  Left = 684
  Top = 175
  Height = 476
  Width = 563
  object TblUsers: TPSQLTable
    Database = DBMain
    IndexFieldNames = 'loginname'
    ShowSystemTables = False
    TableName = '"system"."users"'
    OIDAsInt = False
    ByteaAsEscString = False
    Left = 18
    Top = 158
  end
  object TblUserAccess: TPSQLTable
    Database = DBMain
    IndexFieldNames = 'username'
    MasterFields = 'loginname'
    MasterSource = DsTblUsers
    ShowSystemTables = False
    TableName = '"system"."user_access"'
    OIDAsInt = False
    ByteaAsEscString = False
    Left = 18
    Top = 186
  end
  object TblGroups: TPSQLTable
    Database = DBMain
    IndexFieldNames = 'groupname'
    ShowSystemTables = False
    TableName = '"system"."groups"'
    OIDAsInt = False
    ByteaAsEscString = False
    Left = 18
    Top = 232
  end
  object TblGrpAccess: TPSQLTable
    Database = DBMain
    IndexFieldNames = 'groupname'
    MasterFields = 'groupname'
    MasterSource = DsTblGroups
    ShowSystemTables = False
    TableName = '"system"."group_access"'
    OIDAsInt = False
    ByteaAsEscString = False
    Left = 18
    Top = 260
  end
  object TblGrpMembers: TPSQLTable
    Database = DBMain
    IndexFieldNames = 'username;groupname'
    ShowSystemTables = False
    TableName = '"system"."group_members"'
    OIDAsInt = False
    ByteaAsEscString = False
    Left = 18
    Top = 288
  end
  object TblPermissions: TPSQLTable
    Database = DBMain
    IndexFieldNames = 'permission'
    ShowSystemTables = False
    TableName = '"system"."permissions"'
    OIDAsInt = False
    ByteaAsEscString = False
    Left = 18
    Top = 336
  end
  object SecurityManager: TuilSecurityManager
    UserBindary.DataSource = DsTblUsers
    UserBindary.OnEncrypt = SecurityManagerEncrypt
    UserBindary.UserNameField = 'loginname'
    UserBindary.FullNameField = 'fullname'
    UserBindary.PasswordField = 'password'
    UserBindary.AccessCountField = 'accesscount'
    UserBindary.CreatedDateField = 'createddate'
    UserBindary.CreatedTimeField = 'createdtime'
    UserBindary.EnabledField = 'enabled'
    UserBindary.LastAccessField = 'lastaccess'
    UserBindary.LastAccessTimeField = 'lastacctime'
    UserBindary.UserPermissions.DataSource = DsTblUserAccess
    UserBindary.UserPermissions.PermissionField = 'permission'
    UserBindary.UserPermissions.UserNameField = 'username'
    GroupBindary.DataSource = DsTblGroups
    GroupBindary.GroupNameField = 'groupname'
    GroupBindary.GroupDescriptionField = 'description'
    GroupBindary.GroupPermissions.DataSource = DsTblGrpAccess
    GroupBindary.GroupPermissions.PermissionField = 'permission'
    GroupBindary.GroupPermissions.GroupNameField = 'groupname'
    GroupBindary.GroupMembershipBindary.DataSource = DsTblGrpMembers
    GroupBindary.GroupMembershipBindary.GroupNameField = 'groupname'
    GroupBindary.GroupMembershipBindary.UserNameField = 'username'
    PermissionBindary.DataSource = DsTblPermissions
    PermissionBindary.PermissionField = 'permission'
    PermissionBindary.ActionField = 'action'
    PermissionBindary.ItemField = 'items'
    PermissionBindary.FormNameField = 'formname'
    PermissionBindary.Storage = psTable
    Version = '2.1.0'
    OnEncrypt = SecurityManagerEncrypt
    OnFailedLogin = SecurityManagerFailedLogin
    OnSuccessfulLogin = SecurityManagerSuccessfulLogin
    OnDisabledLogin = SecurityManagerDisabledLogin
    Left = 32
    Top = 68
  end
  object LoginDlg: TuilLoginDlg
    SecurityManager = SecurityManager
    TitleCaption = 'Use '#39'admin'#39' as user without password'
    UsernameCaption = 'User:'
    PasswordCaption = 'Password:'
    LoginButtonCaption = 'Login'
    CancelButtonCaption = 'Cancel'
    Left = 16
    Top = 112
  end
  object SecurityDlg: TuilSecurityDlg
    FormCaption = 'Security Settings'
    UsersCaption = 'Users'
    GroupsCaption = 'Groups'
    MembershipCaption = 'Membership'
    SecurityManager = SecurityManager
    RegistryKey = 'Software\UIL\UIL Security System'
    SaveToRegistry = False
    Left = 45
    Top = 112
  end
  object DsTblUsers: TDataSource
    DataSet = TblUsers
    Left = 46
    Top = 158
  end
  object DsTblUserAccess: TDataSource
    DataSet = TblUserAccess
    Left = 46
    Top = 186
  end
  object DsTblGroups: TDataSource
    DataSet = TblGroups
    Left = 46
    Top = 232
  end
  object DsTblGrpAccess: TDataSource
    DataSet = TblGrpAccess
    Left = 46
    Top = 260
  end
  object DsTblGrpMembers: TDataSource
    DataSet = TblGrpMembers
    Left = 46
    Top = 288
  end
  object DsTblPermissions: TDataSource
    DataSet = TblPermissions
    Left = 46
    Top = 336
  end
  object DBMain: TPSQLDatabase
    Params.Strings = (
      'ConnectionTimeout=15'
      'Port=5432')
    Left = 16
    Top = 8
  end
end
